unit Unit8;

interface

uses
  Vcl.Controls, VCLTee.Chart, System.Classes, Vcl.ExtCtrls;

type

  TChartTest = class(TWinControl)
  strict private
    FchrtTraces: TcustomChart;
    fPanel     : TPanel;
  public
    constructor Create(Aowner: TComponent); override;
    destructor Destroy; override;

  end;

procedure Register;

implementation

uses
  Vcl.Graphics;

procedure Register;
begin
  RegisterComponents('Samples', [TChartTest]);
end;

constructor TChartTest.Create(Aowner: TComponent);
begin

  inherited Create(Aowner);

  Self.Parent           := Aowner as TWinControl;
  Self.Width            := 300;
  Self.Height           := 200;

  fPanel        := TPanel.Create(Self);
  fPanel.Parent := Self;
  fPanel.Align  := alTop;

  FchrtTraces        := TcustomChart.Create(Self);
  FchrtTraces.Parent := Self;

end;

destructor TChartTest.Destroy;
begin

  inherited;

end;

end.
